Update Fraud Settings

View as Markdown

Update fraud protection settings for an account.

Fraud rules are evaluated after card tokenization to determine if a card should be blocked based on its properties (country, brand, type, etc.) and the transaction amount.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Request

This endpoint expects an object.
enabledboolean or nullOptional
Whether fraud protection is enabled
custom_messagestring or nullOptional
Custom message shown to customer when card is blocked

Response

Successful Response
enabledbooleanOptionalDefaults to false
Whether fraud protection is enabled
custom_messagestring or nullOptional

Custom message shown to customer when card is blocked (overrides rule reason)

Errors

422
Unprocessable Entity Error